Bug 1962256 - use RHEL8 as the vm-example
Summary: use RHEL8 as the vm-example
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-19 15:29 UTC by Dan Kenigsberg
Modified: 2021-07-27 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8980 0 None open Bug 1962256: virt: use the new rhel8 image as an example 2021-05-19 17:02:18 UTC
Github openshift console pull 8985 0 None open Bug 1962256: Use shiny new rhel8 image in yaml 2021-05-20 06:05:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:36 UTC

Description Dan Kenigsberg 2021-05-19 15:29:46 UTC
Currently, when I select "Create from YAML", I get a Fedora-based yaml pointing to kubevirt/fedora-cloud-container-disk-demo:latest containerdisk.

With RHEL-8.4 out, we finally have a registry.redhat.io/rhel8/rhel-guest-image containerdisk. Let us use it to propose a supportable VM.

We should doublecheck that it works well with ssh key injection, since RHEL guest do not support password auth for ssh. Alternatively, we can use "ssh_pwauth: yes" in cloud-init of the example vm.

Comment 1 Dan Kenigsberg 2021-05-20 05:04:48 UTC
https://github.com/openshift/console/pull/8980 is related to this bz, but only remotely. The request here is to modify https://github.com/openshift/console/blob/master/frontend/packages/kubevirt-plugin/src/models/templates/vm-yaml.ts#L58 (and similar places) with a RHEL8 yaml

Comment 2 Yaacov Zamir 2021-05-20 13:53:33 UTC
Note for verification:

When running OKD, the image stays fedora
when running OpenShift, the image will be rhel8

Comment 4 Guohua Ouyang 2021-05-25 04:01:02 UTC
It's using RHEL 8 as example VM on 4.8.0-fc.5.

Comment 7 errata-xmlrpc 2021-07-27 23:09:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.